(* This source by Ingemar Ragnemalm, based on code by N. Jonas Englund, 1993. *)

program Shell;

	uses
{$IFC UNDEFINED THINK_PASCAL}
		Types, QuickDraw, Dialogs, Fonts, 
{$ENDC}
		ClutFade;

(********************************** InitToolbox ********************************)
	procedure InitToolbox;
	begin
		MaxApplZone;
		MoreMasters;
{$IFC UNDEFINED THINK_PASCAL}
		InitGraf(@qd.thePort);
		InitFonts;
		InitWindows;
		InitMenus;
		TEInit;
		InitDialogs(nil);
{$ENDC}
		InitCursor;
		FlushEvents(everyEvent, 0);
	end;
(*** InitToolbox ***)

	function MakeColor (r, g, b: Integer): RGBColor;
		var
			col: RGBColor;
	begin
		col.red := r;
		col.green := g;
		col.blue := b;
		MakeColor := col;
	end; {MakeColor}


(********************************** TestWindow *********************************)
	procedure TestWindow;
		var
			d: DialogPtr;
			g: GrafPtr;
			hit: Integer;
			fadeTo: RGBColor;

	{ Fade to pink: $d000, $4000, $4000}
	{ Fade to green: $0000, $ffff, $4000}
	{ Fade to white: $ffff, $ffff, $ffff}

	begin
		fadeTo := MakeColor($efff, $0000, $ffff);

		FadeScreen(30, true, fadeTo); 	{ Try fade speeds from}

		GetPort(g);
		d := GetNewDialog(128, nil, WindowPtr(-1));
		ShowWindow(d);
		DrawDialog(d);
		SetPort(d);
		ValidRect(d^.portRect);

		FadeScreen(30, false, fadeTo);	{ 1 upward.}
		ModalDialog(nil, hit);

		FadeScreen(30, true, fadeTo); 	{ Try fade speeds from}
		SetPort(g);
		DisposeDialog(d);
		FadeScreen(30, false, fadeTo);	{ 1 upward.}
	end;
(*** TestWindow ***)

(*********************************** main ***************************************)

begin
	InitToolbox;
	TestWindow;
end.
(*** main ***)

{===================================== EOF =====================================}